Subject: [Dime] Fwd: RE: draft-ietf-dime-rfc3588bis-26: circular definition?

From: Tom Taylor <[email-masked]>
Date: Fri, 3 Jun 2011 12:29:36 -0400

-------- Original Message --------
Subject: RE: [Dime] draft-ietf-dime-rfc3588bis-26: circular definition?
Date: Fri, 3 Jun 2011 09:31:51 -0400
From: Igoe, Kevin M. <[email-masked]>
To: Tom Taylor <[email-masked]>

I'd recommend taking out the definition of transport connection, but
I'm worried that might break something somewhere else in the text.
What is the opinion of the mailing list on this option?

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Tom Taylor
> Sent: Thursday, June 02, 2011 6:23 PM
> To: [email-masked]
> Subject: Re: [Dime] draft-ietf-dime-rfc3588bis-26: circular
definition?
>
> That looked good at first, but I think all you've done is add
> authorization to the existing definition. It's still circular. Or are
> you proposing to remove the definition of transport connection. I'd
> support that.
>
> On 02/06/2011 8:18 AM, Igoe, Kevin M. wrote:
> > Glen Zorn&  I have been having a sidebar discussion on the
> circularity
> >
> > of the following pair of definitions in draft-ietf-dime-rfc3588bis-
> 26.
> >
> >
> >
> > Existing definitions:
> >
> >
> >
> >     Diameter Peer
> >
> >
> >
> >        If a Diameter Node shares a direct transport connection with
> >
> >        another Diameter Node, it is a Diameter Peer to that Diameter
> >
> >        Node.
> >
> >
> >
> >
> >
> >    Transport Connection
> >
> >        A transport connection is a TCP or SCTP connection existing
> >        directly between two Diameter peers, otherwise known as a
> Peer-to-
> >        Peer Connection.
> >
> >
> > We propose the following change to the definition of Diameter Peer
> >
> > that removes the circularity and emphasizes the need to verify the
> node
> >
> > is properly authorized before accepting it as a peer and entering it
> > into
> >
> > the Peer list (as discussed in section 5.2).
> >
> >
> >
> > Proposed definition:
> >
> >
> >
> >     Diameter Peer
> >
> >
> >
> >                  Two Diameter Nodes are Peers if and only if a
> properly
> >
> >        authorized transport (TCP or SCTP) connection exists between
> >
> >        them.
> >
> >
> >
> >
> >
> > Comments/discussion appreciated.
> >
> >
> >
> >
> >
> > Kevin M. Igoe   |   "Everyone is entitled to their own
> > [email-masked]<mailto:[email-masked]>    |    opinions, but not to
> their
> > own facts."
> >                  |       - Daniel Patrick Moynihan -
> >
> >
> >
> >
> >
> > _______________________________________________
> > DiME mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/dime
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime